org.apache.felix.ipojo.extender.internal.queue.pref.enforce

## Class EnforcedQueueService

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.pref.enforce.ForwardingQueueService
  - - org.apache.felix.ipojo.extender.internal.queue.pref.enforce.EnforcedQueueService

All Implemented Interfaces:
  Lifecycle, LifecycleQueueService, QueueService

    public class EnforcedQueueService
    extends ForwardingQueueService

A queue service implementation enforcing the processing preference choice for the bundle.

### Field Summary

### Fields inherited from interface org.apache.felix.ipojo.extender.queue.QueueService

`ASYNCHRONOUS_QUEUE_MODE, GLOABL_QUEUE_SCOPE, PREFERENCE_QUEUE_MODE, QUEUE_MODE_PROPERTY, QUEUE_SCOPE_PROPERTY, SYNCHRONOUS_QUEUE_MODE`

### Constructor Summary

Constructors
Constructor and Description
`EnforcedQueueService(PreferenceSelection strategy, LifecycleQueueService queueService, Preference enforced, Log logger)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected LifecycleQueueService` `delegate()`
`<T> java.util.concurrent.Future<T>` `submit(Job<T> callable)` Submits a job to the queue service.
`<T> java.util.concurrent.Future<T>` `submit(Job<T> callable, Callback<T> callback, java.lang.String description)` Submits a job to the queue service.
`<T> java.util.concurrent.Future<T>` `submit(Job<T> callable, java.lang.String description)` Submits a job to the queue service.

### Methods inherited from class org.apache.felix.ipojo.extender.internal.queue.pref.enforce.ForwardingQueueService

`addQueueListener, getCurrents, getFinished, getWaiters, getWaitersInfo, removeQueueListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnforcedQueueService

    public EnforcedQueueService(PreferenceSelection strategy,
                                LifecycleQueueService queueService,
                                Preference enforced,
                                Log logger)

Constructor.

Parameters:
  `strategy` - the strategy
  `queueService` - the queue service
  `enforced` - the preference we want to enforce
  `logger` - the logger

### Method Detail

#### delegate

    protected LifecycleQueueService delegate()

Specified by:
  `delegate` in class `ForwardingQueueService`

#### submit

    public <T> java.util.concurrent.Future<T> submit(Job<T> callable,
                                                     Callback<T> callback,
                                                     java.lang.String description)

Description copied from interface: `QueueService`
Submits a job to the queue service.

Specified by:
  `submit` in interface `QueueService`
Overrides:
  `submit` in class `ForwardingQueueService`
Parameters:
  `callable` - the job
  `callback` - callback called when the job is processed
  `description` - a description of the job
Returns:
  the future object to retrieve the result

#### submit

    public <T> java.util.concurrent.Future<T> submit(Job<T> callable,
                                                     java.lang.String description)

Description copied from interface: `QueueService`
Submits a job to the queue service.

Specified by:
  `submit` in interface `QueueService`
Overrides:
  `submit` in class `ForwardingQueueService`
Parameters:
  `callable` - the job
  `description` - a description of the job
Returns:
  the future object to retrieve the result

#### submit

    public <T> java.util.concurrent.Future<T> submit(Job<T> callable)

Description copied from interface: `QueueService`
Submits a job to the queue service.

Specified by:
  `submit` in interface `QueueService`
Overrides:
  `submit` in class `ForwardingQueueService`
Parameters:
  `callable` - the job
Returns:
  the future object to retrieve the result